Loading...
Searching...
No Matches
Opm::Network::Balance Class Reference

## Public Types

enum class | CalcMode { None = 0 , TimeInterval = 1 , TimeStepStart = 2 , NUPCOL = 3 }

## Public Member Functions

| Balance (const DeckKeyword &keyword)
| Balance (bool network_active)
| Balance (const RestartIO::RstNetbalan &netbalan)
CalcMode | mode () const
double | interval () const
double | pressure_tolerance () const
std::size_t | pressure_max_iter () const
double | thp_tolerance () const
std::size_t | thp_max_iter () const
const std::optional< double > & | target_balance_error () const
const std::optional< double > & | max_balance_error () const
const std::optional< double > & | min_tstep () const
bool | operator== (const Balance &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Balance | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Network/Balance.hpp
- opm/input/eclipse/Schedule/Network/Balance.cpp